#!/bin/sh
#------------------------------------------------------------------------------
# /var/install/dialog.d/WEBALIZER_HOST_TYPE_CUI.sh
#
# Creation:     2009-05-23 jv
# Last update:  $Id: WEBALIZER_HOST_TYPE_CUI.sh 62160 2019-01-06 23:09:37Z hbfl $
#
# Copyright (c) 2009 the eisfair team, team(at)eisfair(dot)org
# Copyright (c) 2014-2023 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

. /var/install/include/cuilib
. /var/install/include/ecelib

#----------------------------------------------------------------------------
# exec_dailog
# ece --> request to create and execute dialog
#         $p2 --> main window handle
#         $p3 --> name of config variable
#----------------------------------------------------------------------------
exec_dialog()
{
    win="$p2"

    sellist="clf,squid,ftp,w3c"
    ece_select_list_dlg "$win" "Host logfile type" "$sellist"
}

#----------------------------------------------------------------------------
# main routine
#----------------------------------------------------------------------------

cui_init
cui_run

#----------------------------------------------------------------------------
# end
#----------------------------------------------------------------------------

exit 0
